import pifacecad
import SocketServer
import socket
import sys

class MyUDPHandler(SocketServer.BaseRequestHandler):
	def handle(self):
		data = self.request[0].strip()
		socket = self.request[1]
		cad.lcd.clear();
		cad.lcd.write(data)
		
if __name__ == "__main__":
	cad = pifacecad.PiFaceCAD()    # create PiFace Control and Display object
	cad.lcd.backlight_on()         # turns the backlight on
	cad.lcd.clear();
	cad.lcd.cursor_off();
	cad.lcd.blink_off();
	sock = socket.socket(socket.AF_INET, socket.SOCK_DGRAM)
	def update_pin_text(event):
		sock.sendto(str(event.pin_num), ("localhost", 52041))
	listener = pifacecad.SwitchEventListener(chip=cad)
	for i in range(8):
		listener.register(i, pifacecad.IODIR_FALLING_EDGE, update_pin_text)
	listener.activate()
	server = SocketServer.UDPServer(("localhost", 52042), MyUDPHandler)
	server.serve_forever()
	

	
